<?php
/*
Plugin Name: Mytictac
Description: Clock and Stats
Version: 0.1
Author: Mytictac
Author URI: http://www.mytictac.com
*/

/*          ////////////////////////////////////////////        */
/*         /////      Affichage du widget         /////        */
/*        ////////////////////////////////////////////        */

function mytictac_widget($args) {
extract($args);
$options = get_option( 'mytictac_widget' );
if(!is_array($options)){$options = array('title' => '','code' => '');}
echo '<div class="widget"><div id="mytictac-widget">';
if($options['title']){
echo '
<h3>
'.stripslashes($options['title']).'
</h3>
';
}
echo '
<p class="mytictac-widget-content">
'.stripslashes($options['code']).'
</p>
</div>
</div>
';
}

/*          ////////////////////////////////////////////////        */
/*         /////      Administration du widget        /////        */
/*        ////////////////////////////////////////////////        */

function mytictac_widget_control( ) {
$options = get_option("mytictac_widget");
if (!is_array( $options )){$options = array('title' => '');}
if ($_POST['mytictac-widget-Submit'])
{
 $options['title'] = htmlspecialchars($_POST['mytictac-widget-titre']);
 $options['code'] = $_POST['mytictac-widget-code'];
 update_option("mytictac_widget", $options);
}

?>
<p>
<label for="mytictac-widget-titre" style="font-weight:bold;" >Title: </label>
<input type="text" id="mytictac-widget-titre" name="mytictac-widget-titre" value="<?php echo $options['title'];?>" />
<label for="mytictac-widget-code" style="font-weight:bold;" >Code: </label>
<textarea id="mytictac-widget-code" name="mytictac-widget-code"><?php echo stripslashes($options['code']);?></textarea>
<input type="hidden" id="mytictac-widget-Submit" name="mytictac-widget-Submit" value="1" />
</p>
<?php
}

/*         /////////////////////////////////////////////////////        */
/*        /////      Ajout du widget dans WordPress       /////        */
/*       /////////////////////////////////////////////////////        */

function init_mytictac_widget(){
register_sidebar_widget("Mytictac - Clock and Stats", "mytictac_widget");
register_widget_control('Mytictac - Clock and Stats', 'mytictac_widget_control', 300, 200 );
}

add_action("plugins_loaded", "init_mytictac_widget");
?>
